; macro definitions for the grid generator package
; (C) Edgar Knobloch 2003
; edgar.knobloch@berlin.de 

GridCellDefine	Macro	x, y

	WestBound	EQU	 ( ( ( x * 46875 ) / 100000 ) - 184 )
	EastBound	EQU	( ( ( x * 46875 ) / 100000 ) - 176 )
	NorthBound	EQU	( 94 - ( ( y * 3515625 ) / 10000000 ) ) 
	SouthBound	EQU	( 86 - ( ( y * 3515625 ) / 10000000 ) )

	BGLHeader	NorthBound, SouthBound, EastBound, WestBound, TerrainHeaderStart , VTPHeader	


		VTPHeader	label	word				

		VTPFileHeader	256, VTPIndexStart, TextureStart, VTPEnd

		VTPStart	label	word
; Start of VTP data area (expected)
		datamark_v0	label   word

EndM

GridgenEnd	Macro	x, y
; End of VTP data area
	datamark_v1	label word

	Cell_ID	EQU	VTPCellID 0, x, y

	VTPIndexStart	label	word

		VTPIndexHeader	1, VTPIndexData, VTPStart

	VTPIndexData	label	word

		VTPIndexEntry         Cell_ID, VTPStart, datamark_v0 , datamark_v1

	TextureStart    label   word
	    VTPTextureListHeader 2, TextureIndexStart, TextureDataStart, TextureDataEnd
 
	TextureIndexStart   label   word
	    VTPTextureListEntry TextureDataStart, texturemark_0, texturemark_1
	    VTPTextureListEntry TextureDataStart, texturemark_1, texturemark_2
 
	TextureDataStart    label   word
	    texturemark_0   label   word
	        VTPTextureName 	"gridgen.bmp;gridgen.bmp;gridgen.bmp;gridgen.bmp;gridgen.bmp;gridgen.bmp"
	        VTPTextureType 2, 0, 0, 4
	    texturemark_1   label   word
	        VTPTextureName "1134"
	        VTPTextureType 2, 0, 0, 4
	    texturemark_2   label   word
	TextureDataEnd  label   word
; ========================================================================================================
 
	VTPEnd      label   word

EndM